<div class="tools">
  <button
    pButton
    icon="pi pi-pencil"
    styleClass="p-button-sm"
    pTooltip="Editar texto"
    showDelay="400"
    (click)="activeView = 'text'"
    [ngClass]="{ 'p-button-outlined': viewIsNot('text') }"
  ></button>
  <button
    pButton
    icon="pi pi-table"
    styleClass="p-button-sm"
    pTooltip="Estándares/Contenidos"
    showDelay="400"
    (click)="activeView = 'case'"
    [class]="{ 'p-button-outlined': viewIsNot('case') }"
  ></button>
  <p-button
    icon="pi pi-copy"
    styleClass="p-button-sm p-button-outlined"
    pTooltip="Copiar"
    showDelay="400"
    (click)="copyDay()"
  ></p-button>
  <p-button
    icon="pi pi-clone"
    styleClass="p-button-sm p-button-outlined"
    pTooltip="Pegar"
    showDelay="400"
    (click)="pasteDay()"
  ></p-button>
</div>
<div class="main">
  <app-text-edit-view
    *ngIf="activeView === 'text'"
    [day]="day"
    (onUpdated)="dayUpdated($event)"
  ></app-text-edit-view>
  <app-case-edit-view
    *ngIf="activeView === 'case'"
    [day]="day"
    [plan]="plan"
    (onUpdated)="dayUpdated($event)"
  ></app-case-edit-view>
</div>
